function OnUnpackRation(items, result, player)
	player:getInventory():AddItems("Base.ArmyCrackers",4);
	player:getInventory():AddItems("Base.ArmySugar",4);
	player:getInventory():AddItems("Base.ArmyTea",2);
	player:getInventory():AddItems("Base.ArmyJam",2);
	player:getInventory():AddItems("Base.ArmyJuice",1);
	player:getInventory():AddItems("Base.ArmyFat",1);
	player:getInventory():AddItems("Base.ArmyBuckwheat",1);
	player:getInventory():AddItems("Base.ArmyPate",1);
	player:getInventory():AddItems("Base.DryFuel",1);
	player:getInventory():AddItems("Base.Matches",1);
end

function OnUnpackAI(items, result, player)
	player:getInventory():AddItems("Base.AI2Painkiller",1);
	player:getInventory():AddItems("Base.AI2Antibiotics",2);
	player:getInventory():AddItems("Base.AI2Instructions",1);
end

function Recipe.OnCreate.MakeBowlOfPRSoup4(items, result, player)
	local addType = "Base.Pot"
	local condition = 10;
	for i=0,items:size() - 1 do
		 local item = items:get(i)
		 if item:getType() == "WaterPotMakaroniHorns" or item:getType() == "PotOfSoupRecipe" or item:getType() == "RicePan" or item:getType() == "PastaPan" or item:getType() == "PastaPot"or item:getType() == "RicePot" or item:getType() == "WaterPotRice" or item:getType() == "WaterPotPasta" or item:getType() == "WaterSaucepanRice" or item:getType() == "WaterSaucepanPasta" then
			  result:setBaseHunger(item:getBaseHunger() / 4);
			  result:setHungChange(item:getHungChange() / 4);
			  result:setThirstChange(item:getThirstChangeUnmodified() / 4);
			  result:setBoredomChange(item:getBoredomChangeUnmodified() / 4);
			  result:setUnhappyChange(item:getUnhappyChangeUnmodified() / 4);
			  result:setCarbohydrates(item:getCarbohydrates() / 4);
			  result:setLipids(item:getLipids() / 4);
			  result:setProteins(item:getProteins() / 4);
			  result:setCalories(item:getCalories() / 4);
			  result:setTaintedWater(item:isTaintedWater())
			  condition = item:getCondition()
			  if instanceof(item,"Food") then
					addType = "Base.Saucepan"
			  end
		 end
	end
	local pot = player:getInventory():AddItem(addType);
	pot:setCondition(condition)
end

function Recipe.OnCreate.MakeBowlOfPRSoup2(items, result, player)
	local addType = "Base.Pot"
	local condition = 10;
	for i=0,items:size() - 1 do
		 local item = items:get(i)
		 if item:getType() == "PotOfSoup" or item:getType() == "PotOfSoupRecipe" or item:getType() == "RicePan" or item:getType() == "PastaPan" or item:getType() == "PastaPot"or item:getType() == "RicePot" or item:getType() == "WaterPotRice" or item:getType() == "WaterPotPasta" or item:getType() == "WaterSaucepanRice" or item:getType() == "WaterSaucepanPasta" then
			  result:setBaseHunger(item:getBaseHunger() / 2);
			  result:setHungChange(item:getHungChange() / 2);
			  result:setThirstChange(item:getThirstChangeUnmodified() / 2);
			  result:setBoredomChange(item:getBoredomChangeUnmodified() / 2);
			  result:setUnhappyChange(item:getUnhappyChangeUnmodified() / 2);
			  result:setCarbohydrates(item:getCarbohydrates() / 2);
			  result:setLipids(item:getLipids() / 2);
			  result:setProteins(item:getProteins() / 2);
			  result:setCalories(item:getCalories() / 2);
			  result:setTaintedWater(item:isTaintedWater())
			  condition = item:getCondition()
			   if instanceof(item,"Food") then
					addType = "Base.Saucepan"
			   end
		   end
	   end
	local pot = player:getInventory():AddItem(addType);
	pot:setCondition(condition)
end